Get User
curl --request GET \
--url https://use.hoop.dev/api/users/{emailOrID}import requests
url = "https://use.hoop.dev/api/users/{emailOrID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/users/{emailOrID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "jsmith@example.com",
"groups": [
"sre",
"dba"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "John Wick",
"password": "mysecurepassword",
"picture": "",
"role": "standard",
"slack_id": "U053ELZHB53",
"status": "active",
"verified": true
}{
"message": "the error description"
}{
"message": "the error description"
}User Management
Get User
Get user by email or subject id
GET
/
users
/
{emailOrID}
Get User
Path Parameters
The subject identifier or email of the user
Response
OK
Email address of the user
Groups registered for this user
Example:
["sre", "dba"]
Unique identifier of the resource
Display name
Example:
"John Wick"
Local auth cases have a password
Example:
"mysecurepassword"
The profile picture url to display
Example:
""
Permission related to the user
- admin - Has super privileges and has access to any resource in the system
- standard - Grant access to standard routes.
- unregistered - Grant access to unregistered routes. It's a transient state where the user is authenticated but is not registered. This state is only available for multi tenant environments
Available options:
admin, standard, unregistered Example:
"standard"
The identifier of slack to send messages to users
Example:
"U053ELZHB53"
The status of the user. Inactive users cannot access the system
Available options:
active, inactive, invited DEPRECATED in flavor of role
Was this page helpful?